Bug 452782 - [liberation-fonts] Quality Check between initial 1.03 and latest dist.
[liberation-fonts] Quality Check between initial 1.03 and latest dist.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: liberation-fonts (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Caius Chance
Fedora Extras Quality Assurance
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-25 00:53 EDT by Caius Chance
Modified: 2008-06-27 00:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-27 00:54:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Rendering of ver 1.03 by gedit. (32.45 KB, image/png)
2008-06-25 03:09 EDT, Caius Chance
no flags Details
Rendering of ver 1.04 by gedit. (32.45 KB, image/png)
2008-06-25 03:11 EDT, Caius Chance
no flags Details
Comparison of ver 1.03 and 1.04. (32.47 KB, image/png)
2008-06-25 03:12 EDT, Caius Chance
no flags Details
Rendering of ver 1.03 by gedit. (smoothing + hinting on) (109.34 KB, image/png)
2008-06-25 03:13 EDT, Caius Chance
no flags Details
Rendering of ver 1.04 by gedit. (smoothing + hinting on) (109.33 KB, image/png)
2008-06-25 03:13 EDT, Caius Chance
no flags Details
Comparison of ver 1.03 and 1.04. (smoothing + hinting on) (109.36 KB, image/png)
2008-06-25 03:14 EDT, Caius Chance
no flags Details
Test Case in OpenOffice format. (125.50 KB, application/msword)
2008-06-25 03:17 EDT, Caius Chance
no flags Details
Test Case in plain text. (414 bytes, application/octet-stream)
2008-06-25 03:17 EDT, Caius Chance
no flags Details
Test sample with no hinting no smoothing. (2.00 KB, application/x-gzip)
2008-06-26 22:39 EDT, Caius Chance
no flags Details
Test sample with full hinting and subpixel smoothing. (13.43 KB, application/x-gzip)
2008-06-27 00:50 EDT, Caius Chance
no flags Details

  None (edit)
Description Caius Chance 2008-06-25 00:53:27 EDT
Description of problem:
The glyphs in latest version should be same as initial ver 1.03 from manufacturer.

Version-Release number of selected component (if applicable):
1.03.beta2

How reproducible:
Always

Steps to Reproduce:
1. Install liberation-fonts initial ver 1.03 from
https://fedorahosted.org/releases/l/i/liberation-fonts/liberation-fonts-1.03.tar.gz
to /usr/share/fonts/liberation.
2. Load attached word file in gnome.
3. Run fc-cache in /usr/share/fonts/liberation.
4. Capture screenshots on each font.
5. Install liberation-fonts ver 1.04.beta from
https://fedorahosted.org/releases/l/i/liberation-fonts/liberation-fonts-1.04.beta2.tar.gz
to /usr/share/fonts/liberation
6. Load attached word file in gnome.
7. Run fc-cache in /usr/share/fonts/liberation.
8. Capture screenshots on each font.
9. Use GIMP to stack pictures as pairs by font.
10.Compare the results.
  
Actual results:
Some glyphs have displacement by 1 pixel.

Expected results:
All glyphs are identical.

Additional info:
Comment 1 Caius Chance 2008-06-25 03:06:44 EDT
The fonts were compared with OpenOffice the other day but there are certain
glyph displacements.

Tested with gedit again with smoothing and hinting off, there are no differences
on glyphs. The glyph differences might be coming from rendering engines.
Comment 2 Caius Chance 2008-06-25 03:09:46 EDT
Created attachment 310226 [details]
Rendering of ver 1.03 by gedit.
Comment 3 Caius Chance 2008-06-25 03:11:06 EDT
Created attachment 310227 [details]
Rendering of ver 1.04 by gedit.
Comment 4 Caius Chance 2008-06-25 03:12:06 EDT
Created attachment 310228 [details]
Comparison of ver 1.03 and 1.04.
Comment 5 Caius Chance 2008-06-25 03:13:35 EDT
Created attachment 310229 [details]
Rendering of ver 1.03 by gedit. (smoothing + hinting on)
Comment 6 Caius Chance 2008-06-25 03:13:53 EDT
Created attachment 310230 [details]
Rendering of ver 1.04 by gedit. (smoothing + hinting on)
Comment 7 Caius Chance 2008-06-25 03:14:15 EDT
Created attachment 310231 [details]
Comparison of ver 1.03 and 1.04. (smoothing + hinting on)
Comment 8 Caius Chance 2008-06-25 03:17:04 EDT
Created attachment 310232 [details]
Test Case in OpenOffice format.
Comment 9 Caius Chance 2008-06-25 03:17:30 EDT
Created attachment 310233 [details]
Test Case in plain text.
Comment 10 Caius Chance 2008-06-26 22:39:58 EDT
Created attachment 310407 [details]
Test sample with no hinting no smoothing.

These samples proved the glyphs has no difference when no hinting and no
smoothing.

To test, simply put the picture of one version on another in GIMP, set "layer
mode" of the upper layer as "Difference".

If there is any pixel differences such pixels will be in white color (which is
"1" in XOR / with differece). Otherwise, pixels will be in black color (which
is "0" in XOR / no difference).
Comment 11 Caius Chance 2008-06-27 00:50:55 EDT
Created attachment 310410 [details]
Test sample with full hinting and subpixel smoothing.
Comment 12 Caius Chance 2008-06-27 00:54:50 EDT
Test with/without hinting and smoothing on gedit. There is no difference found
in results (see comment #10 comment #11).

Note You need to log in before you can comment on or make changes to this bug.